com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.Status

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.Status

- Enclosing class:
    ManagerNode

      public static class ManagerNode.Status
      extends java.lang.Object

  Manager node operational status information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Status()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getDatabaseQueryBenchmark()` Get the database round-trip time, in nanoseconds.
    `java.lang.Boolean` | `getGRIDConnectionAlert()` Get the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.
    `java.lang.Boolean` | `getHeartbeatServiceAlert()` Get the flag indicating whether the heartbeat service on this manager node has failed.
    `java.lang.Boolean` | `getOnline()` Get the flag indicating whether the manager node is online.
    `java.lang.Boolean` | `getRequiresRestart()` Get the flag indicating whether this manager node needs to be restarted.
    `void` | `setDatabaseQueryBenchmark(java.lang.Long databaseQueryBenchmark)` Set the database round-trip time, in nanoseconds.
    `void` | `setGRIDConnectionAlert(java.lang.Boolean gridConnectionAlert)` Set the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.
    `void` | `setHeartbeatServiceAlert(java.lang.Boolean heartbeatServiceAlert)` Set the flag indicating whether the heartbeat service on this manager node has failed.
    `void` | `setOnline(java.lang.Boolean online)` Set the flag indicating whether the manager node is online.
    `void` | `setRequiresRestart(java.lang.Boolean requiresRestart)` Set the flag indicating whether this manager node needs to be restarted.
    `ManagerNode.Status` | `withDatabaseQueryBenchmark(java.lang.Long databaseQueryBenchmark)` Set the database round-trip time, in nanoseconds.
    `ManagerNode.Status` | `withGRIDConnectionAlert(java.lang.Boolean gridConnectionAlert)` Set the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.
    `ManagerNode.Status` | `withHeartbeatServiceAlert(java.lang.Boolean heartbeatServiceAlert)` Set the flag indicating whether the heartbeat service on this manager node has failed.
    `ManagerNode.Status` | `withOnline(java.lang.Boolean online)` Set the flag indicating whether the manager node is online.
    `ManagerNode.Status` | `withRequiresRestart(java.lang.Boolean requiresRestart)` Set the flag indicating whether this manager node needs to be restarted.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Status

          public Status()

  - ### Method Detail

    - #### getRequiresRestart

          public java.lang.Boolean getRequiresRestart()

      Get the flag indicating whether this manager node needs to be restarted.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether this manager node needs to be restarted.

    - #### setRequiresRestart

          public void setRequiresRestart(java.lang.Boolean requiresRestart)

      Set the flag indicating whether this manager node needs to be restarted.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `requiresRestart` - the flag indicating whether this manager node needs to be restarted.

    - #### withRequiresRestart

          public ManagerNode.Status withRequiresRestart(java.lang.Boolean requiresRestart)

      Set the flag indicating whether this manager node needs to be restarted.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `requiresRestart` - the flag indicating whether this manager node needs to be restarted.
      Returns:
        the updated Status object.

    - #### getHeartbeatServiceAlert

          public java.lang.Boolean getHeartbeatServiceAlert()

      Get the flag indicating whether the heartbeat service on this manager node has failed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether the heartbeat service on this manager node has failed.

    - #### setHeartbeatServiceAlert

          public void setHeartbeatServiceAlert(java.lang.Boolean heartbeatServiceAlert)

      Set the flag indicating whether the heartbeat service on this manager node has failed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `heartbeatServiceAlert` - the flag indicating whether the heartbeat service on this manager node has failed.

    - #### withHeartbeatServiceAlert

          public ManagerNode.Status withHeartbeatServiceAlert(java.lang.Boolean heartbeatServiceAlert)

      Set the flag indicating whether the heartbeat service on this manager node has failed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `heartbeatServiceAlert` - the flag indicating whether the heartbeat service on this manager node has failed.
      Returns:
        the updated Status object.

    - #### getGRIDConnectionAlert

          public java.lang.Boolean getGRIDConnectionAlert()

      Get the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.

      The Trend Micro GRID (Goodware Resource and Information Database) is a database of known-good files and binaries.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.

    - #### setGRIDConnectionAlert

          public void setGRIDConnectionAlert(java.lang.Boolean gridConnectionAlert)

      Set the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.

      The Trend Micro GRID (Goodware Resource and Information Database) is a database of known-good files and binaries.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `gridConnectionAlert` - the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.

    - #### withGRIDConnectionAlert

          public ManagerNode.Status withGRIDConnectionAlert(java.lang.Boolean gridConnectionAlert)

      Set the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.

      The Trend Micro GRID (Goodware Resource and Information Database) is a database of known-good files and binaries.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `gridConnectionAlert` - the flag indicating whether this manager node has encountered problems connecting to the Trend Micro GRID service.
      Returns:
        the updated Status object.

    - #### getDatabaseQueryBenchmark

          public java.lang.Long getDatabaseQueryBenchmark()

      Get the database round-trip time, in nanoseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the database round-trip time, in nanoseconds.

    - #### setDatabaseQueryBenchmark

          public void setDatabaseQueryBenchmark(java.lang.Long databaseQueryBenchmark)

      Set the database round-trip time, in nanoseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `databaseQueryBenchmark` - the database round-trip time, in nanoseconds.

    - #### withDatabaseQueryBenchmark

          public ManagerNode.Status withDatabaseQueryBenchmark(java.lang.Long databaseQueryBenchmark)

      Set the database round-trip time, in nanoseconds.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `databaseQueryBenchmark` - the database round-trip time, in nanoseconds.
      Returns:
        the updated Status object.

    - #### getOnline

          public java.lang.Boolean getOnline()

      Get the flag indicating whether the manager node is online.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the flag indicating whether the manager node is online.

    - #### setOnline

          public void setOnline(java.lang.Boolean online)

      Set the flag indicating whether the manager node is online.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `online` - the flag indicating whether the manager node is online.

    - #### withOnline

          public ManagerNode.Status withOnline(java.lang.Boolean online)

      Set the flag indicating whether the manager node is online.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `online` - the flag indicating whether the manager node is online.
      Returns:
        the updated Status object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.